This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461859 - mate-applets: mate-applets-1.18.1-2 does not have a dependency on Python
mate-applets: mate-applets-1.18.1-2 does not have a dependency on Python
Status: NEW
Product: Fedora
Classification: Fedora
Component: mate-applets (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 09:05 EDT by Iryna Shcherbina
Modified: 2017-08-15 03:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iryna Shcherbina 2017-06-15 09:05:01 EDT
The mate-applets RPM has a bunch of Python scripts, but does not have a Python dependency:

$ dnf --disablerepo=* --enablerepo=rawhide repoquery --requires mate-applets | grep python


If a package installs scripts into Python site-packages, it should depend on Python itself. Therefore, please add an explicit dependency on Python for the mate-applets package.
Comment 1 Jan Kurik 2017-08-15 03:54:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.